Index: trunk/LayoutTests/platform/mac/TestExpectations
===================================================================
--- trunk/LayoutTests/platform/mac/TestExpectations	(revision 150476)
+++ trunk/LayoutTests/platform/mac/TestExpectations	(revision 150559)
@@ -3,21 +3,17 @@
 # See http://trac.webkit.org/wiki/TestExpectations for more information on this file.
 
-# https://bugs.webkit.org/show_bug.cgi?id=89812
-fast/parser/parser-yield-timing.html [ Pass Failure ]
+webkit.org/b/89812 fast/parser/parser-yield-timing.html [ Pass Failure ]
 
 # <rdar://problem/5647952> fast/events/mouseout-on-window.html needs mac DRT to issue mouse out events
-fast/events/mouseout-on-window.html
-
-# Different behavior expectatations on mac: https://bugs.webkit.org/show_bug.cgi?id=102987
-fast/events/context-nodrag.html
+fast/events/mouseout-on-window.html [ Failure ]
+
+# Different behavior expectatations on mac
+webkit.org/b/102987 fast/events/context-nodrag.html [ Failure ]
 
 # <rdar://problem/5643675> window.scrollTo scrolls a window with no scrollbars
-fast/events/attempt-scroll-with-no-scrollbars.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=21916 Pixel test doesn't repaint entire view so result is corrupted by previous test
-tables/mozilla_expected_failures/bugs/bug178855.xml
-
-# https://bugs.webkit.org/show_bug.cgi?id=21913 Repaint pixel test failure
-fast/repaint/body-background-image.html
+fast/events/attempt-scroll-with-no-scrollbars.html [ Failure ]
+
+# Pixel test doesn't repaint entire view so result is corrupted by previous test
+webkit.org/b/21916 tables/mozilla_expected_failures/bugs/bug178855.xml [ ImageOnlyFailure ]
 
 # https://bugs.webkit.org/show_bug.cgi?id=81697 Skip file:// based notifications tests
@@ -25,9 +21,5 @@
 
 # Skipped while Eric Carlson works on a fix.
-# https://bugs.webkit.org/show_bug.cgi?id=28221
-media/audio-delete-while-step-button-clicked.html
-
-# This test requires media controls has a volume slider.
-media/video-volume-slider.html
+webkit.org/b/28221 media/audio-delete-while-step-button-clicked.html [ Failure ]
 
 webkit.org/b/108223 fast/forms/range/slider-delete-while-dragging-thumb.html [ Crash Pass ]
@@ -36,6 +28,5 @@
 
 # This test requires generation of progress events during loading
-# https://bugs.webkit.org/show_bug.cgi?id=100984
-media/progress-events-generated-correctly.html
+webkit.org/b/100984 media/progress-events-generated-correctly.html [ Failure ]
 
 # This port doesn't support detecting slow unload handlers.
@@ -43,10 +34,8 @@
 fast/dom/Window/slow-unload-handler-only-frame-is-stopped.html
 
-# Accessibility tests without results
-accessibility/document-attributes.html
-accessibility/aria-menubar-menuitems.html
+webkit.org/b/116636 accessibility/document-attributes.html [ Failure ]
 
 # Accessibility tests with missing AccessibilityController functionality.
-accessibility/selection-states.html
+webkit.org/b/116637 accessibility/selection-states.html [ Failure ]
 
 # Accessibility tests for notifications that don't exist or aren't needed on Mac OS X.
@@ -73,9 +62,7 @@
 fast/events/mouseover-button.html
 
-# Skipped until https://bugs.webkit.org/show_bug.cgi?id=33923 is resolved.
-platform/mac/accessibility/change-notification-on-scroll.html
-
-# See https://bugs.webkit.org/show_bug.cgi?id=34287
-http/tests/media/video-cookie.html
+webkit.org/b/33923 platform/mac/accessibility/change-notification-on-scroll.html [ Failure ]
+
+webkit.org/b/34287 http/tests/media/video-cookie.html
 
 # Accept header is handled by the browser
@@ -105,9 +92,8 @@
 
 # Uses layoutTestController.titleTextDirection, which is Chromium-only
-fast/dom/title-directionality-removeChild.html
-
-# Test is flaky and thus not useful until fixed.
-# https://bugs.webkit.org/show_bug.cgi?id=36642
-fast/replaced/border-radius-clip.html
+webkit.org/b/58845 fast/dom/title-directionality-removeChild.html
+webkit.org/b/58845 fast/dom/title-directionality.html
+
+webkit.org/b/36642 fast/replaced/border-radius-clip.html [ Pass Failure ]
 
 # Need to add functionality to DumpRenderTree to handle scrollbar policy changes
@@ -164,12 +150,8 @@
 
 # Filenames aren't filtered out from edit drags yet, see https://bugs.webkit.org/show_bug.cgi?id=38826
-editing/pasteboard/file-drag-to-editable.html
+editing/pasteboard/file-drag-to-editable.html [ Failure ]
 
 # EventSender::dumpFilenameBeingDragged not implemented.
-# https://bugs.webkit.org/show_bug.cgi?id=61827
-fast/events/drag-image-filename.html
-
-# Hits an assert in FrameLoader.cpp. https://bugs.webkit.org/show_bug.cgi?id=31387
-http/tests/multipart/policy-ignore-crash.php
+webkit.org/b/61827 fast/events/drag-image-filename.html
 
 # Datalist is not yet enabled.
@@ -179,8 +161,7 @@
 fast/forms/color
 
-# Times out only in non-wk2 Mac, possibly because of platform-specific behaviour
+# Times out only in non-wk2 Mac, possibly because of platform-specific behavior
 # interfering with how the test is executed.
-# https://bugs.webkit.org/show_bug.cgi?id=113220
-fast/forms/select/popup-closes-on-blur.html [ Timeout Pass ]
+webkit.org/b/113220 fast/forms/select/popup-closes-on-blur.html [ Timeout Pass ]
 
 # ENABLE_INPUT_TYPE_* are not enabled.
@@ -237,15 +218,12 @@
 
 # Content Security Policy 1.1 (ENABLE_CSP_NEXT) is not enabled
-# https://bugs.webkit.org/show_bug.cgi?id=85558
-http/tests/security/contentSecurityPolicy/1.1
+webkit.org/b/85558 http/tests/security/contentSecurityPolicy/1.1
 
 # Still working out flakiness issues with the perf tests.
-# https://bugs.webkit.org/show_bug.cgi?id=44199
-perf/
+webkit.org/b/44199 perf/
 
 # This test appears to be flakey on all platforms, especially
 # Mac-Leopard after r63862.  Skipping for now.
-# https://bugs.webkit.org/show_bug.cgi?id=42821
-animations/play-state.html
+webkit.org/b/42821 animations/play-state.html
 
 webkit.org/b/113598 animations/animation-delay-changed.html [ Pass Failure ]
@@ -259,6 +237,5 @@
 inspector/editor/text-editor-smart-braces.html [ Skip ]
 
-# https://bugs.webkit.org/show_bug.cgi?id=71120
-inspector/debugger/selected-call-frame-after-formatting-source.html
+webkit.org/b/71120 inspector/debugger/selected-call-frame-after-formatting-source.html
 
 # https://bugs.webkit.org/show_bug.cgi?id=43332
@@ -267,7 +244,4 @@
 inspector/debugger/step-through-event-listeners.html
 inspector/debugger/xhr-breakpoints.html
-
-# Test is flaky and thus not useful until fixed.
-webkit.org/b/113589 inspector/debugger/debugger-scripts-reload.html [ Pass Failure ]
 
 # JSC doesn't support heap profiling
@@ -290,23 +264,10 @@
 webkit.org/b/73936 inspector/profiler/canvas2d/canvas-replay-log-grid.html
 
-# Skipping newly added tests while I'm finding out what is wrong.
-# https://bugs.webkit.org/show_bug.cgi?id=59706
-http/tests/inspector/resource-tree/resource-tree-document-url.html
-http/tests/inspector/resource-tree/resource-tree-frame-add.html
-http/tests/inspector/resource-tree/resource-tree-frame-navigate.html
-http/tests/inspector/resource-tree/resource-tree-reload.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=40300
-inspector/debugger/live-edit.html
-inspector/debugger/live-edit-breakpoints.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=89652
-inspector/debugger/debugger-compile-and-run.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=53003
-http/tests/inspector/compiler-source-mapping-debug.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=96942
-http/tests/inspector/network/network-xhr-replay.html
+webkit.org/b/40300 inspector/debugger/live-edit.html [ Failure ]
+webkit.org/b/40300 inspector/debugger/live-edit-breakpoints.html [ Failure ]
+webkit.org/b/89652 inspector/debugger/debugger-compile-and-run.html
+webkit.org/b/53003 http/tests/inspector/compiler-source-mapping-debug.html
+
+webkit.org/b/96942 http/tests/inspector/network/network-xhr-replay.html
 
 webkit.org/b/109546 inspector/script-execution-state-change-notification.html [ Skip ]
@@ -318,10 +279,5 @@
 
 # Safari doesn't allow to customize outermost scrollbars.
-# https://bugs.webkit.org/show_bug.cgi?id=43960
-scrollbars/custom-scrollbar-with-incomplete-style.html
-
-# Crash due to r66850.
-# https://bugs.webkit.org/show_bug.cgi?id=45575
-fast/files/workers
+webkit.org/b/43960 scrollbars/custom-scrollbar-with-incomplete-style.html
 
 # viewport meta tag support
@@ -329,6 +285,5 @@
 
 # needs enhanced eventSender.contextMenu() return value
-# see also https://bugs.webkit.org/show_bug.cgi?id=45021
-media/context-menu-actions.html
+webkit.org/b/45021 media/context-menu-actions.html [ Failure ]
 
 # requires video.buffered to be able to return multiple timeranges
@@ -346,11 +301,8 @@
 fast/dom/MutationObserver/filesystem-callback-delivery.html
 
-# https://bugs.webkit.org/show_bug.cgi?id=46223
 # The WebKit plugin implementation does not support iframe shims.
-plugins/iframe-shims.html
-
-# This new test runs differently on the buildbot than it doesn on user
-# machines.  I'll ask jnd to fix it once he's back from vacation.
-plugins/plugin-initiate-popup-window.html
+webkit.org/b/46223 plugins/iframe-shims.html
+
+webkit.org/b/116640 plugins/plugin-initiate-popup-window.html
 
 # Requires WebP support.
@@ -363,9 +315,8 @@
 http/tests/images/webp-progressive-load.html
 
-# Times out because plugins aren't allowed to execute JS after NPP_Destroy has been called in WebKit1's OOP plugins implementation http://webkit.org/b/48929
-plugins/evaluate-js-after-removing-plugin-element.html
-
-# Very flaky: https://bugs.webkit.org/show_bug.cgi?id=49182
-animations/stop-animation-on-suspend.html
+# Times out because plugins aren't allowed to execute JS after NPP_Destroy has been called in WebKit1's OOP plugins implementation
+webkit.org/b/48929 plugins/evaluate-js-after-removing-plugin-element.html
+
+webkit.org/b/49182 animations/stop-animation-on-suspend.html [ Pass Failure ]
 
 # DRT does not support toggling caret browsing on / off
@@ -373,6 +324,5 @@
 
 # Non-premultiplied-alpha currently broken on mac.
-# https://bugs.webkit.org/show_bug.cgi?id=55509
-compositing/webgl/webgl-nonpremultiplied-blend.html
+webkit.org/b/55509 compositing/webgl/webgl-nonpremultiplied-blend.html
 
 webkit.org/b/114321 compositing/plugins/invalidate_rect.html [ Failure Pass ]
@@ -389,6 +339,5 @@
 
 # Replacement text for misspelling is not given from NSSpellChecker.
-# https://bugs.webkit.org/show_bug.cgi?id=77934
-editing/spelling/spelling-marker-description.html
+webkit.org/b/77934 editing/spelling/spelling-marker-description.html [ Failure ]
 
 # Custom MIME type support in DataTransfer is not yet implemented.
@@ -397,16 +346,9 @@
 
 # Need to implement WebGeolocationRequest::cancelPermissionRequest on mac.
-# https://bugs.webkit.org/show_bug.cgi?id=55944
-fast/dom/Geolocation/page-reload-cancel-permission-requests.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=103435
-fast/backgrounds/background-opaque-images-over-color.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=56685
-webarchive/test-link-rel-icon.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=56691
-http/tests/inspector/network/network-size-chunked.html
-http/tests/inspector/network/network-size-sync.html
+webkit.org/b/55944 fast/dom/Geolocation/page-reload-cancel-permission-requests.html [ Failure ]
+
+webkit.org/b/103435 fast/backgrounds/background-opaque-images-over-color.html [ ImageOnlyFailure ]
+
+webkit.org/b/56685 webarchive/test-link-rel-icon.html [ Failure ]
 
 # Quota API is not supported.
@@ -426,8 +368,4 @@
 fast/dom/HTMLAnchorElement/anchor-download-unset.html
 
-# Expose title direction in WebKit API
-# https://bugs.webkit.org/show_bug.cgi?id=58845
-fast/dom/title-directionality.html
-
 # Timing out for unknown reasons.  Passes on Chromium, QT and GTK+.
 # https://bugs.webkit.org/show_bug.cgi?id=58924
@@ -441,14 +379,9 @@
 inspector/console/console-long-eval-crash.html
 
-# Fails after r87328:
-# https://bugs.webkit.org/show_bug.cgi?id=61487
-http/tests/media/video-cross-site.html
-
-# REGRESSION (r89305-r89312): webarchive/loading/mainresource-null-mimetype-crash.html failing on Leopard/SnowLeopard release
-# https://bugs.webkit.org/show_bug.cgi?id=63169
-webarchive/loading/mainresource-null-mimetype-crash.html
-
-# <style scoped> is not yet enabled. http://webkit.org/b/49142
-fast/css/style-scoped
+webkit.org/b/61487 http/tests/media/video-cross-site.html [ Failure ]
+
+# Styled scope element is not yet enabled.
+webkit.org/b/49142 fast/css/style-scoped
+
 # CSS Regions tests for region styling and scoped styles
 fast/regions/style-scoped-in-flow-override-container-style.html
@@ -476,6 +409,6 @@
 fast/xsl/xslt-processor-template.html
 
-# JSC does not support setIsolatedWorldSecurityOrigin (http://webkit.org/b/61540)
-http/tests/security/isolatedWorld/cross-origin-xhr.html
+# JSC does not support setIsolatedWorldSecurityOrigin
+webkit.org/b/61540 http/tests/security/isolatedWorld/cross-origin-xhr.html
 
 # https://bugs.webkit.org/show_bug.cgi?id=63282 layerTreeAsText doesn't work for iframes
@@ -487,7 +420,4 @@
 compositing/rtl/rtl-iframe-fixed.html
 compositing/rtl/rtl-iframe-relative.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82554
-compositing/rtl/rtl-fixed-overflow-scrolled.html
 
 # For now, Web Audio tests are disabled
@@ -546,9 +476,7 @@
 fast/harness/sample-fail-mismatch-reftest.html [ WontFix ImageOnlyFailure ]
 
-# https://bugs.webkit.org/show_bug.cgi?id=67716
-media/media-controls-invalid-url.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=68278
-http/tests/history/back-with-fragment-change.php
+webkit.org/b/67716 media/media-controls-invalid-url.html [ Failure ]
+
+webkit.org/b/68278 http/tests/history/back-with-fragment-change.php [ Failure ]
 
 # Skip because this platform does not support a paging mouse wheel event
@@ -568,29 +496,13 @@
 http/tests/pointer-lock/
 
-# https://bugs.webkit.org/show_bug.cgi?id=82763
-fast/forms/textarea-placeholder-set-attribute.html
-fast/forms/placeholder-set-attribute.html
-fast/forms/search-placeholder-value-changed.html
-
-# Timeout.
-fast/dom/Window/open-window-min-size.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=73148
-fast/canvas/webgl/webgl-texture-binding-preserved.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=73974
-fast/canvas/webgl/canvas-2d-webgl-texture.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=74384
+webkit.org/b/82763 fast/forms/textarea-placeholder-set-attribute.html
+
+webkit.org/b/102257 fast/dom/Window/open-window-min-size.html
+
 # Skipped as this is not a expected behaviour on mac.
-fast/forms/select/menulist-onchange-fired-with-key-up-down.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=73304
+webkit.org/b/74384 fast/forms/select/menulist-onchange-fired-with-key-up-down.html
+
 # Tiemout. Needs ChromeClient::hasOpenedPopup() impelementation?
-fast/forms/select/menulist-popup-crash.html
-
-# Frame::findString does nothing on pages that prevent selection
-# https://bugs.webkit.org/show_bug.cgi?id=40361
-editing/text-iterator/findString-selection-disabled.html
+webkit.org/b/73304 fast/forms/select/menulist-popup-crash.html
 
 # https://bugs.webkit.org/show_bug.cgi?id=75184
@@ -607,28 +519,23 @@
 
 # Fails because MutationObservers are not notified at end-of-task
-# https://bugs.webkit.org/show_bug.cgi?id=78290
-fast/dom/MutationObserver/end-of-task-delivery.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=72010
+webkit.org/b/78290 fast/dom/MutationObserver/end-of-task-delivery.html [ Failure ]
+
 # Needs PageClients::vibrationClient() implementation.
-fast/dom/navigator-vibration.html
+webkit.org/b/72010 fast/dom/navigator-vibration.html
 
 # Touch adjustment not enabled
-# https://bugs.webkit.org/show_bug.cgi?id=78801
-touchadjustment
+webkit.org/b/78801 touchadjustment
 
 # canvas/philip/tests/2d.line.cap.round.html fails on Mac Lion WK1
-# https://bugs.webkit.org/show_bug.cgi?id=81289
 # <rdar://problem/11059777>
-canvas/philip/tests/2d.line.cap.round.html
-canvas/philip/tests/2d.shadow.canvas.transparent.2.html
-canvas/philip/tests/2d.shadow.image.transparent.2.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=62698
+webkit.org/b/81289 canvas/philip/tests/2d.line.cap.round.html [ Failure ]
+webkit.org/b/81289 canvas/philip/tests/2d.shadow.canvas.transparent.2.html [ Failure ]
+webkit.org/b/81289 canvas/philip/tests/2d.shadow.image.transparent.2.html [ Failure ]
+
 # Needs BatteryClient implementation.
-batterystatus/
-
-#Network Information is not supported yet. http://webkit.org/b/73528
-networkinformation
+webkit.org/b/62698 batterystatus/
+
+#Network Information is not supported yet.
+webkit.org/b/73528 networkinformation
 
 # Proximity Events is not supported.
@@ -636,121 +543,76 @@
 fast/events/constructors/device-proximity-event-constructor.html
 
-# https://bugs.webkit.org/show_bug.cgi?id=81410
-scrollbars/scrollbar-middleclick-nopaste.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=81599
+webkit.org/b/81410 scrollbars/scrollbar-middleclick-nopaste.html
+
 # These canvas tests are flaky (fail on bots, not locally, or vice versa)
-fast/canvas/canvas-createPattern-fillRect-shadow.html
-fast/canvas/canvas-draw-canvas-on-canvas-shadow.html
-fast/canvas/canvas-fillRect-gradient-shadow.html
-fast/canvas/set-colors.html
-canvas/philip/tests/2d.path.arc.scale.1.html
-
-# Media tests that time out unexpectedly
-# https://bugs.webkit.org/show_bug.cgi?id=81604
-media/audio-garbage-collect.html
-
-# parser test that times out waiting for notifyDone
-# http://bugs.webkit.org/show_bug.cgi?id=81618
-fast/workers/storage/use-same-database-in-page-and-workers.html
-
-# Not possible to set UA string for media requests with all Mac media engines.
-http/tests/media/video-useragent.html
+webkit.org/b/81599 fast/canvas/canvas-createPattern-fillRect-shadow.html [ Pass Failure ]
+webkit.org/b/81599 fast/canvas/canvas-draw-canvas-on-canvas-shadow.html [ Pass Failure ]
+webkit.org/b/81599 fast/canvas/canvas-fillRect-gradient-shadow.html [ Pass Failure ]
+webkit.org/b/81599 fast/canvas/set-colors.html [ Pass Failure ]
+webkit.org/b/81599 canvas/philip/tests/2d.path.arc.scale.1.html [ Pass Failure ]
 
 # Has failed since its introduction in r105826. Skipped everywhere but chromium.
-fast/events/dropzone-005.html
-
-# Spelling tests that are flakey. https://bugs.webkit.org/show_bug.cgi?id=82555
-editing/spelling/spellcheck-async-mutation.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82665
-http/tests/webarchive/test-css-url-encoding-shift-jis.html
-http/tests/webarchive/test-css-url-encoding-utf-8.html
-http/tests/webarchive/test-css-url-encoding.html
-webarchive/test-css-url-resources-in-stylesheets.html
-webarchive/test-css-url-resources-inline-styles.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82668
-plugins/mouse-events.html
-plugins/mouse-move-over-plugin-in-frame.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82671
-http/tests/inspector/console-cross-origin-iframe-logging.html
-http/tests/inspector/inspect-element.html
-http/tests/inspector/resource-har-conversion.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82672
-http/tests/xmlhttprequest/range-test.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82747
-fast/events/scroll-div-with-prevent-default-in-subframe.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82762
-fast/animation/request-animation-frame-during-modal.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82805
-fast/canvas/webgl/framebuffer-object-attachment.html
-fast/canvas/webgl/object-deletion-behaviour.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82817
-storage/domstorage/localstorage/storagetracker/storage-tracker-1-prepare.html
-storage/domstorage/localstorage/storagetracker/storage-tracker-2-create.html
-storage/domstorage/localstorage/storagetracker/storage-tracker-6-create.html
-storage/domstorage/localstorage/storagetracker/storage-tracker-7-usage.html
-storage/domstorage/localstorage/storagetracker/storage-tracker-3-delete-all.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82923
-# https://bugs.webkit.org/show_bug.cgi?id=82886
-inspector/styles/override-screen-size.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82932
-inspector/profiler/cpu-profiler-profiling.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82943
-inspector/debugger/copy-stack-trace.html
-inspector/debugger/callstack-placards-discarded.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82972
-plugins/keyboard-events.html
-plugins/layout-in-beforeload-listener-affects-plugin-loading.html
-plugins/mouse-events-fixedpos.html
-plugins/multiple-plugins.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82976
-media/W3C/video/networkState/networkState_during_progress.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82978
-inspector/styles/svg-style.xhtml
-
-# https://bugs.webkit.org/show_bug.cgi?id=82979
-fast/canvas/2d.text.draw.fill.maxWidth.gradient.html
-canvas/philip/tests/2d.text.draw.align.center.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82980
-http/tests/navigation/back-twice-without-commit.html
+webkit.org/b/61630 fast/events/dropzone-005.html
+
+# Spelling tests that are flakey.
+webkit.org/b/82555 editing/spelling/spellcheck-async-mutation.html [ Pass Failure ]
+
+webkit.org/b/82665 http/tests/webarchive/test-css-url-encoding-shift-jis.html [ Failure ]
+webkit.org/b/82665 http/tests/webarchive/test-css-url-encoding-utf-8.html [ Failure ]
+webkit.org/b/82665 http/tests/webarchive/test-css-url-encoding.html [ Failure ]
+webkit.org/b/82665 webarchive/test-css-url-resources-in-stylesheets.html [ Failure ]
+webkit.org/b/82665 webarchive/test-css-url-resources-inline-styles.html [ Failure ]
+
+webkit.org/b/82671 http/tests/inspector/resource-har-conversion.html [ Failure ]
+
+webkit.org/b/82672 http/tests/xmlhttprequest/range-test.html [ Failure ]
+
+webkit.org/b/82747 fast/events/scroll-div-with-prevent-default-in-subframe.html [ Failure ]
+
+webkit.org/b/82762 fast/animation/request-animation-frame-during-modal.html
+
+webkit.org/b/82805 fast/canvas/webgl/framebuffer-object-attachment.html [ Failure ]
+
+webkit.org/b/82817 storage/domstorage/localstorage/storagetracker/storage-tracker-1-prepare.html [ Pass Failure ]
+webkit.org/b/82817 storage/domstorage/localstorage/storagetracker/storage-tracker-2-create.html [ Pass Failure ]
+webkit.org/b/82817 storage/domstorage/localstorage/storagetracker/storage-tracker-6-create.html [ Pass Failure ]
+webkit.org/b/82817 storage/domstorage/localstorage/storagetracker/storage-tracker-7-usage.html [ Pass Failure ]
+webkit.org/b/82817 storage/domstorage/localstorage/storagetracker/storage-tracker-3-delete-all.html [ Pass Failure ]
+
+# We don't implement support for InspectorClient::overrideDeviceMetrics() in platforms other than Chromium
+# FIXME: Delete this test.
+webkit.org/b/82886 inspector/styles/override-screen-size.html
+webkit.org/b/82932 inspector/profiler/cpu-profiler-profiling.html
+
+webkit.org/b/82972 plugins/keyboard-events.html [ Pass Failure ]
+webkit.org/b/82972 plugins/layout-in-beforeload-listener-affects-plugin-loading.html [ Pass Failure ]
+webkit.org/b/82972 plugins/mouse-events-fixedpos.html [ Pass Failure ]
+webkit.org/b/82972 plugins/multiple-plugins.html [ Pass Failure ]
+
+webkit.org/b/82976 media/W3C/video/networkState/networkState_during_progress.html [ Pass Failure ]
+
+webkit.org/b/82978 inspector/styles/svg-style.xhtml [ Pass Failure ]
+
+webkit.org/b/82979 fast/canvas/2d.text.draw.fill.maxWidth.gradient.html [ Pass Failure ]
+webkit.org/b/82979 canvas/philip/tests/2d.text.draw.align.center.html [ Pass Failure ]
+
+webkit.org/b/82980 http/tests/navigation/back-twice-without-commit.html [ Pass Failure ]
 
 webkit.org/b/112617 [ Debug ] http/tests/navigation/navigation-redirect-schedule-crash.html [ Crash Pass ]
 
-# https://bugs.webkit.org/show_bug.cgi?id=82981
-http/tests/misc/favicon-loads-with-icon-loading-override.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=82982
-fast/dom/jsDevicePixelRatio.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=83618
-fast/dom/inline-event-attributes-release.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=84102
-fast/profiler/stop-profiling-after-setTimeout.html
-fast/profiler/dead-time.html
-
-# [Mac] inspector/debugger/linkifier.html is flakey
-# https://bugs.webkit.org/show_bug.cgi?id=85319
-inspector/debugger/linkifier.html
+webkit.org/b/82981 http/tests/misc/favicon-loads-with-icon-loading-override.html [ Pass Failure ]
+
+webkit.org/b/82982 fast/dom/jsDevicePixelRatio.html [ Pass Failure ]
+
+webkit.org/b/83618 fast/dom/inline-event-attributes-release.html [ Pass Failure ]
+
+webkit.org/b/84102 fast/profiler/stop-profiling-after-setTimeout.html [ Pass Failure ]
+webkit.org/b/84102 fast/profiler/dead-time.html [ Pass Failure ]
+
+webkit.org/b/85319 inspector/debugger/linkifier.html [ Pass Failure ]
 
 # Failing subpixel reference tests
-# https://bugs.webkit.org/show_bug.cgi?id=85532
-fast/sub-pixel/file-upload-control-at-fractional-offset.html [ ImageOnlyFailure ]
-fast/sub-pixel/zoomed-image-tiles.html [ ImageOnlyFailure ]
+webkit.org/b/85532 fast/sub-pixel/file-upload-control-at-fractional-offset.html [ ImageOnlyFailure ]
+webkit.org/b/85532 fast/sub-pixel/zoomed-image-tiles.html [ ImageOnlyFailure ]
 
 # No CORS support for media elements is implemented yet.
@@ -758,95 +620,51 @@
 
 # media/audio-repaint.html sometimes fails on Lion Debug (Tests)
-# https://bugs.webkit.org/show_bug.cgi?id=84357
-media/audio-repaint.html
+webkit.org/b/84357 [ Debug ] media/audio-repaint.html [ Pass Failure ]
 
 # Requires ENABLE(MEDIA_CAPTURE)
 fast/forms/file/file-input-capture.html
 
-# https://bugs.webkit.org/show_bug.cgi?id=85522
-http/tests/security/sandboxed-iframe-form-top.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=85523
-fullscreen/full-screen-iframe-legacy.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=85525
-media/video-played-reset.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=85969
-http/tests/loading/post-in-iframe-with-back-navigation.html
-
-# Inspector only supports evaluation in content script world with v8, see https://bugs.webkit.org/show_bug.cgi?id=85709
-inspector/extensions/extensions-eval-content-script.html
-inspector/extensions/extensions-audits-content-script.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=86480
-plugins/npruntime/delete-plugin-within-setProperty.html
-plugins/npruntime/delete-plugin-within-hasProperty-return-true.html
-plugins/npruntime/delete-plugin-within-hasProperty-return-false.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=87347
-fast/frames/flattening/iframe-tiny.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=87541
-fast/canvas/webgl/tex-image-and-sub-image-2d-with-video-rgb565.html
-fast/canvas/webgl/tex-image-and-sub-image-2d-with-video-rgba4444.html
-fast/canvas/webgl/tex-image-and-sub-image-2d-with-video-rgba5551.html
+webkit.org/b/85522 http/tests/security/sandboxed-iframe-form-top.html [ Pass Failure ]
+
+webkit.org/b/85523 fullscreen/full-screen-iframe-legacy.html [ Pass Failure ]
+
+webkit.org/b/85525 media/video-played-reset.html [ Pass Failure ]
+
+webkit.org/b/85969 http/tests/loading/post-in-iframe-with-back-navigation.html
+
+# Inspector only supports evaluation in content script world with v8
+webkit.org/b/85709 inspector/extensions/extensions-eval-content-script.html
+webkit.org/b/85709 inspector/extensions/extensions-audits-content-script.html
+
+webkit.org/b/86480 plugins/npruntime/delete-plugin-within-setProperty.html [ Failure ]
+webkit.org/b/86480 plugins/npruntime/delete-plugin-within-hasProperty-return-true.html [ Failure ]
+webkit.org/b/86480 plugins/npruntime/delete-plugin-within-hasProperty-return-false.html [ Failure ]
+
+webkit.org/b/87347 fast/frames/flattening/iframe-tiny.html [ Pass Failure ]
+
+webkit.org/b/87541 fast/canvas/webgl/tex-image-and-sub-image-2d-with-video-rgb565.html [ Failure ]
+webkit.org/b/87541 fast/canvas/webgl/tex-image-and-sub-image-2d-with-video-rgba4444.html [ Failure ]
+webkit.org/b/87541 fast/canvas/webgl/tex-image-and-sub-image-2d-with-video-rgba5551.html [ Failure ]
 
 # Times out without keyboard interaction
-# https://bugs.webkit.org/show_bug.cgi?id=87748
-fast/forms/select/optgroup-clicking.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=88672
-svg/filters/color-space-conversion.svg
-
-# https://bugs.webkit.org/show_bug.cgi?id=89528
-svg/filters/container-with-filters.svg
-svg/filters/feSpecularLight-premultiplied.svg
-
-# https://bugs.webkit.org/show_bug.cgi?id=89680
-fast/canvas/canvas-imageSmoothingEnabled-repaint.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=89845
-fast/forms/input-set-composition-scroll.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=90706
-inspector/timeline/timeline-frames.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=90707
-inspector/timeline/timeline-receive-response-event.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=90708
-fullscreen/exit-full-screen-iframe.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=90709
-http/tests/inspector/console-cd-completions.html
-http/tests/inspector/console-cd.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=90711
-fast/canvas/webgl/gl-vertexattribpointer.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=90722
-inspector/profiler/heap-snapshot-comparison-show-next.html
-inspector/profiler/heap-snapshot-comparison-shown-node-count-preserved-when-sorting.html
-inspector/profiler/heap-snapshot-comparison-sorting.html
-inspector/profiler/heap-snapshot-containment-expansion-preserved-when-sorting.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=90723
-inspector/debugger/set-breakpoint.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=90724
-compositing/iframes/iframe-size-from-zero.html
-
-compositing/iframes/overlapped-nested-iframes.html [ Failure Pass ]
-
-# https://bugs.webkit.org/show_bug.cgi?id=90725
-media/media-blocked-by-beforeload.html
-
-# https://bugs.webkit.org/show_bug.cgi?id=91505
-platform/mac/plugins/root-object-premature-delete-crash.html
+webkit.org/b/87748 fast/forms/select/optgroup-clicking.html
+
+webkit.org/b/89528 svg/filters/feSpecularLight-premultiplied.svg [ ImageOnlyFailure ]
+
+# Implement textInputController.setComposition()
+webkit.org/b/89845 fast/forms/input-set-composition-scroll.html [ Failure ]
+
+webkit.org/b/90707 inspector/timeline/timeline-receive-response-event.html [ Pass Failure ]
+
+webkit.org/b/90708 fullscreen/exit-full-screen-iframe.html [ Failure ]
+
+webkit.org/b/90724 compositing/iframes/iframe-size-from-zero.html [ Pass Failure ]
+
+compositing/iframes/overlapped-nested-iframes.html [ Pass Failure ]
+
+webkit.org/b/90725 media/media-blocked-by-beforeload.html [ Pass Failure ]
 
 # This test depends on subpixel layout.
-# https://bugs.webkit.org/show_bug.cgi?id=92352
-css3/flexbox/flex-rounding.html
+webkit.org/b/92352 css3/flexbox/flex-rounding.html
 
 # ENABLE(INPUT_MULTIPLE_FIELDS_UI) is disabled
@@ -1494,5 +1312,4 @@
 webkit.org/b/115292 fast/text/international/vertical-text-glyph-test.html
 webkit.org/b/115292 fast/text/orientation-sideways.html
-webkit.org/b/115292 fast/text/vertical-no-sideways.html
 webkit.org/b/115292 fast/writing-mode/Kusa-Makura-background-canvas.html
 webkit.org/b/115292 fast/writing-mode/japanese-ruby-vertical-lr.html
@@ -1515,3 +1332,8 @@
 
 webkit.org/b/116477 [ MountainLion ] svg/batik/text/textEffect.svg [ Pass Failure ]
-webkit.org/b/116519 [ MountainLion ] svg/batik/paints/patternRegions-positioned-objects.svg [ Pass Failure ]
+webkit.org/b/116477 [ MountainLion ] svg/batik/paints/patternRegions-positioned-objects.svg [ Pass Failure ]
+webkit.org/b/116477 [ MountainLion ] svg/batik/text/textDecoration.svg [ Pass Failure ]
+
+webkit.org/b/116582 [ Debug ] inspector/styles/import-pseudoclass-crash.html [ Pass Crash ]
+
+webkit.org/b/116592 inspector/geolocation-error.html [ Pass Failure ]
